Package Base Details: devilutionx

Git Clone URL: https://aur.archlinux.org/devilutionx.git (read-only, click to copy)
Keywords: 1 Blizzard Diablo Game Hellfire Multiplayer Singleplayer
Submitter: robertfoster
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 18
Popularity: 0.024912
First Submitted: 2019-11-17 18:10 (UTC)
Last Updated: 2024-02-06 15:54 (UTC)

Pinned Comments

robertfoster commented on 2021-11-02 20:41 (UTC) (edited on 2022-04-19 18:45 (UTC) by robertfoster)

This provides splitted extra voices (Polish dub by professional actors) and extra-fonts for CJK dialogues.

set your Language code within .local/share/diasurgical/devilution/diablo.ini

As example

[Language]
Code=pl

Latest Comments

1 2 3 4 Next › Last »

hildigerr commented on 2023-12-02 21:19 (UTC)

@EccTM & FryDay: Since the filenames are the same, the new versions aren't automatically downloaded. That's why the checksums are failing. You can move or remove the offending source files and the new ones will be downloaded.

FryDay commented on 2023-09-26 15:54 (UTC)

I'm also getting checksum errors.

==> Making package: devilutionx 1.5.1-1 (Tue 26 Sep 2023 10:51:15 AM CDT)
==> Retrieving sources...
  -> Found devilutionx-src.tar.xz
  -> Found fonts.mpq
  -> Found pl.mpq
  -> Found ru.mpq
==> Validating source files with sha256sums...
    devilutionx-src.tar.xz ... FAILED
    fonts.mpq ... FAILED
    pl.mpq ... FAILED
    ru.mpq ... FAILED

robertfoster commented on 2023-09-09 10:55 (UTC)

@EccTM can't reproduce, checksums are valid

EccTM commented on 2023-09-05 19:43 (UTC)

I think the pkgbuild might need an update.

==> Validating source files with sha256sums...
    devilutionx-src.tar.xz ... FAILED
    fonts.mpq ... FAILED
    pl.mpq ... FAILED
    ru.mpq ... FAILED
==> ERROR: One or more files did not pass the validity check!
error: failed to download sources for 'devilutionx-1.5.1-1': 
error: packages failed to build: devilutionx-1.5.1-1

micke1m commented on 2023-07-31 19:56 (UTC)

@FabioLolix Thanks, my bad.

FabioLolix commented on 2023-07-31 15:52 (UTC)

@micke1m every time you have error while loading shared libraries: libXXX.so.XXX: cannot open shared object file: No such file or directory for build from source programs you have to rebuild it.

You have installed libfmt.so.10

micke1m commented on 2023-07-31 12:19 (UTC)

I have fmt installed but I'm still getting:

devilutionx: error while loading shared libraries: libfmt.so.9: cannot open shared object file: No such file or directory

telmo commented on 2023-06-14 13:34 (UTC)

Seems like "ninja" should be a dependency of the package, otherwise the build fails with:

CMake Error: CMake was unable to find a build program corresponding to "Ninja".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.

myself600 commented on 2022-09-24 14:16 (UTC)

Solution for building on aarch64 --> https://github.com/diasurgical/devilutionX/issues/3930#issuecomment-1250183269